'use strict';

import React from 'react';
import { observer } from 'mobx-react';
import './assist_succeed.less';
import { Button } from "@grace/ui";
import { PageCtrl } from '@/core/ctrls/PageCtrl';
import { ModalCtrl } from '@/core/ctrls/ModalCtrl';

@observer
class Assist_succeed extends React.Component {
  constructor(props) {
    super(props);
  }

  handlesign = () => {
    ModalCtrl.closeModal();
  }

  render() {
    return (
      <div className="assist_succeed modal_center">
        <span className="dongxiao"></span>
        <span className="bg"></span>
        <span className="title"></span>
        <span className="tip1">点击立即签到</span>
        <span className="tip2">即可参与活动领取积分奖励哦！</span>
        <Button className="sign" onClick={this.handlesign} />
        <span className="ribbon"></span>
        <span className="ditu"></span>
      </div>
    );
  }
}
export default Assist_succeed;
